I am having iPod touch 4g with ios 6.1.3 and can you please help me in BBM install when I click on install button it says that you need GPS please help me To install my BBM

Apple inc. can you please help me to install BBM in iPod touch 4g

BBM is only compatible with devices that have cellular/GPS radios. The iPod does not have these.
The BBM app says:
Compatibility: Requires iOS 6.0 or later. Compatible with iPhone, iPad 2 Wi-Fi + 3G, iPad Wi-Fi + Cellular (3rd generation), iPad Wi-Fi + Cellular (4th generation), iPad mini Wi-Fi + Cellular, iPad Air Wi-Fi + Cellular, and iPad mini with Retina display Wi-Fi + Cellular. This app is optimized for iPhone 5.
https://itunes.apple.com/us/app/id690046600?mt=8

Similar Messages

Maybe you are looking for